/* CSS 'font-style' Overrides */
.fs-normal {
  font-style: var(--lds-g-font-style-regular) !important;
}

.fs-italic,
.i,
.italic {
  font-style: var(--lds-g-font-style-italic) !important;
}

.fw-900,
.fw-black {
  font-weight: var(--lds-g-font-weight-900) !important;
}

/* CSS 'text-align' Overrides */
.ta-center {
  text-align: center !important;
}

.ta-end {
  text-align: end !important;
}

.ta-justify {
  text-align: justify !important;
}

.ta-left {
  text-align: left !important;
}

.ta-right {
  text-align: right !important;
}

.ta-start {
  text-align: start !important;
}

/* CSS 'align-items' Overrides */
.ai-center {
  align-items: center !important;
}

.ai-end {
  align-items: end !important;
}

.ai-start {
  align-items: start !important;
}

/* CSS 'text-decoration' Overrides */
.td-none {
  text-decoration: none !important;
}

.td-underline,
.u,
.underline {
  text-decoration: underline !important;
}

.td-line-through,
.s,
.strike {
  text-decoration: line-through !important;
}

.td-overline,
.o,
.overline {
  text-decoration: overline !important;
}

/* CSS 'text-transform' Overrides */
.tt-none {
  text-transform: none !important;
}

.tt-upper,
.tt-uppercase {
  text-transform: uppercase !important;
}

.tt-lower,
.tt-lowercase {
  text-transform: lowercase !important;
}

.tt-caps,
.tt-captialize {
  text-transform: capitalize !important;
}

.tt-full,
.tt-full-width {
  text-transform: full-width !important;
}

/* Misc Generic CSS Typography */
.nowrap,
.no-wrap {
  white-space: nowrap;
}
